%global dlrn_nvr 0.8.28-2.20210612124808.9cd3782
%global dlrn 1
%define upstream_version 0.8.28
# RPM spec file for OpenStack on RHEL 6 and 7
# Some bits borrowed from the katello-selinux package

%global moduletype       services

# Version of SELinux we were using
%global selinux_policyver 3.13.1-102.el7

# Package information
Name:                   openstack-selinux
Version: 0.8.28
Release: 2.20210612124809%{?dist}.1
License:                GPLv2
Group:                  System Environment/Base
Summary:                SELinux Policies for OpenStack
BuildArch:              noarch
URL:                    https://github.com/redhat-openstack/%{name}
Requires:               policycoreutils
Requires(post):         selinux-policy-base >= %{selinux_policyver}
Requires(post):         selinux-policy-targeted >= %{selinux_policyver}
Requires(post):         policycoreutils
%if 0%{?fedora} || 0%{?rhel} > 7
Requires(post):         policycoreutils-python-utils
%else
Requires(post):         policycoreutils-python
%endif
Requires(preun):        policycoreutils
Requires:               container-selinux
BuildRequires:          selinux-policy
BuildRequires:          selinux-policy-devel
BuildRequires:          container-selinux
BuildRequires:          git
Source: 0.8.28-2.20210612124808.9cd3782.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9cd3782b94a769b72f963782943be80458a52167
Patch0001: 0001-Allow-container_t-to-manage-container_log_t-files.patch

%description
SELinux policy modules for use with OpenStack


%package devel
Summary:                Development files (interfaces) for %{name}
Requires:               selinux-policy-devel
Requires:               %{name} = %{version}-%{release}

%description devel
Development files (interfaces) for %{name}


%package test
Summary:                AVC Tests for %{name}
%if 0%{?fedora} || 0%{?rhel} > 7
Requires:               policycoreutils-python-utils
%else
Requires:               policycoreutils-python
%endif
Requires:               bash
Requires:               %{name} = %{version}-%{release}

%description test
AVC tests for %{name}


%prep
%autosetup -Sgit
# Create fake lp file if there is none is tests directory
[[ ! $(find tests -type f -name lp* | grep -q '.*') ]] && touch tests/lpnoop

%build
make DATADIR="%{_datadir}"

%install
make DATADIR="%{buildroot}%{_datadir}" \
     LOCALDIR="%{buildroot}%{_datadir}/%{name}/%{version}" \
     install
if [ ! $(grep '${INSTALL} -m 0644 tests/lp*' Makefile) ]; then
install -m 0644 tests/lp* %{buildroot}%{_datadir}/%{name}/%{version}/tests
fi

%post
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -q


%preun
if [ $1 -eq 0 ]; then
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -x -q
fi


%files
%license COPYING
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/local_settings.sh
%attr(0644,root,root) %{_datadir}/selinux/packages/*.pp.bz2

%files test
%dir %{_datadir}/%{name}/%{version}/tests
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/tests/check_all
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/bz*
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/lp*

%files devel
%attr(0644,root,root) %{_datadir}/selinux/devel/include/%{moduletype}/*.if

%changelog
* Wed Nov 10 2021 Thierry Vignaud <tvignaud@redhat.com> 0.8.28-2.20210612124809.1
- Allow container_t to manage container_log_t files (rhbz#2020210)

* Wed Jun 16 2021 CPaaS User <cpaas-ops@redhat.com> - 0.8.28-2.20210612124808.9cd3782.1
- Bump release

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.27-2.20210612124808.9cd3782
- Update patches
- Allow keepalived_t setattr for neutron_var_lib_t

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-2.20210608115056.1f0a5dd
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-2.20210527215947.1f0a5dd
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-2.20210523145048.1f0a5dd
- Update patches
- Allow neutron_t to SIGTERM haproxy owned processes

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.24-1
- Update patches
- Allow container_t to manage swift_data_t files/dirs
- Allow container domains to send sigchld to container runtime


